
package org.fosstrak.ale.xsd.ale.epcglobal;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

import org.fosstrak.ale.xsd.ale.epcglobal.ECFilterListMember.PatList;
import org.fosstrak.ale.xsd.ale.epcglobal.ECFilterSpec.ExcludePatterns;
import org.fosstrak.ale.xsd.ale.epcglobal.ECFilterSpec.IncludePatterns;
import org.fosstrak.ale.xsd.ale.epcglobal.ECReaderStat.Sightings;
import org.fosstrak.ale.xsd.ale.epcglobal.ECReports.Reports;
import org.fosstrak.ale.xsd.ale.epcglobal.ECSpec.ReportSpecs;
import org.fosstrak.ale.xsd.ale.epcglobal.ECSpecExtension.PrimaryKeyFields;

import org.fosstrak.ale.xsd.ale.epcglobal.ACClientIdentity.Credentials;
import org.fosstrak.ale.xsd.ale.epcglobal.ACClientIdentity.RoleNames;
import org.fosstrak.ale.xsd.ale.epcglobal.ACPermission.Instances;
import org.fosstrak.ale.xsd.ale.epcglobal.ACRole.PermissionNames;

import org.fosstrak.ale.xsd.ale.epcglobal.CCCmdReport.TagReports;
import org.fosstrak.ale.xsd.ale.epcglobal.CCCmdSpec.OpSpecs;
import org.fosstrak.ale.xsd.ale.epcglobal.CCReports.CmdReports;
import org.fosstrak.ale.xsd.ale.epcglobal.CCSpec.CmdSpecs;
import org.fosstrak.ale.xsd.ale.epcglobal.CCTagReport.OpReports;
import org.fosstrak.ale.xsd.ale.epcglobal.ECFilterListMember.PatList;
import org.fosstrak.ale.xsd.ale.epcglobal.ECReaderStat.Sightings;
import org.fosstrak.ale.xsd.ale.epcglobal.EPCPatternList.Patterns;

import org.fosstrak.ale.xsd.ale.epcglobal.LRSpec.Properties;
import org.fosstrak.ale.xsd.ale.epcglobal.LRSpec.Readers;

import org.fosstrak.ale.xsd.ale.epcglobal.TMFixedFieldListSpec.FixedFields;
import org.fosstrak.ale.xsd.ale.epcglobal.TMVariableFieldListSpec.VariableFields;

/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.fosstrak.ale.xsd.ale.epcglobal package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ECSpec_QNAME = new QName("urn:epcglobal:ale:xsd:1", "ECSpec");
    private final static QName _ECReports_QNAME = new QName("urn:epcglobal:ale:xsd:1", "ECReports");

    private final static QName _ACPermission_QNAME = new QName("urn:epcglobal:ale:xsd:1", "ACPermission");
    private final static QName _ACClientIdentity_QNAME = new QName("urn:epcglobal:ale:xsd:1", "ACClientIdentity");
    private final static QName _ACRole_QNAME = new QName("urn:epcglobal:ale:xsd:1", "ACRole");

    private final static QName _AssocTableEntryList_QNAME = new QName("urn:epcglobal:ale:xsd:1", "AssocTableEntryList");
    private final static QName _AssocTableSpec_QNAME = new QName("urn:epcglobal:ale:xsd:1", "AssocTableSpec");
    private final static QName _RNGSpec_QNAME = new QName("urn:epcglobal:ale:xsd:1", "RNGSpec");
    private final static QName _EPCPatternList_QNAME = new QName("urn:epcglobal:ale:xsd:1", "EPCPatternList");
    private final static QName _CCReports_QNAME = new QName("urn:epcglobal:ale:xsd:1", "CCReports");
    private final static QName _CCSpec_QNAME = new QName("urn:epcglobal:ale:xsd:1", "CCSpec");
    private final static QName _EPCCacheSpec_QNAME = new QName("urn:epcglobal:ale:xsd:1", "EPCCacheSpec");

    private final static QName _LRProperty_QNAME = new QName("urn:epcglobal:ale:xsd:1", "LRProperty");
    private final static QName _LRSpec_QNAME = new QName("urn:epcglobal:ale:xsd:1", "LRSpec");

    private final static QName _TMSpec_QNAME = new QName("urn:epcglobal:ale:xsd:1", "TMSpec");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.fosstrak.ale.xsd.ale.epcglobal
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ECReportSpecExtension }
     * 
     */
    public ECReportSpecExtension createECReportSpecExtension() {
        return new ECReportSpecExtension();
    }

    /**
     * Create an instance of {@link Sightings }
     * 
     */
    public Sightings createECReaderStatSightings() {
        return new Sightings();
    }

    /**
     * Create an instance of {@link ReportSpecs }
     * 
     */
    public ReportSpecs createECSpecReportSpecs() {
        return new ReportSpecs();
    }

    /**
     * Create an instance of {@link ECFilterSpec }
     * 
     */
    public ECFilterSpec createECFilterSpec() {
        return new ECFilterSpec();
    }

    /**
     * Create an instance of {@link Stats }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.ECReportGroupListMemberExtension.Stats createECReportGroupListMemberExtensionStats() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.ECReportGroupListMemberExtension.Stats();
    }

    /**
     * Create an instance of {@link ECBoundarySpecExtension }
     * 
     */
    public ECBoundarySpecExtension createECBoundarySpecExtension() {
        return new ECBoundarySpecExtension();
    }

    /**
     * Create an instance of {@link ECReportOutputSpecExtension }
     * 
     */
    public ECReportOutputSpecExtension createECReportOutputSpecExtension() {
        return new ECReportOutputSpecExtension();
    }

    /**
     * Create an instance of {@link ECReportGroupListMemberExtension2 }
     * 
     */
    public ECReportGroupListMemberExtension2 createECReportGroupListMemberExtension2() {
        return new ECReportGroupListMemberExtension2();
    }

    /**
     * Create an instance of {@link org.fosstrak.ale.xsd.ale.epcglobal.ECReportGroupListMemberExtension.FieldList }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.ECReportGroupListMemberExtension.FieldList createECReportGroupListMemberExtensionFieldList() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.ECReportGroupListMemberExtension.FieldList();
    }

    /**
     * Create an instance of {@link ECReaderStat }
     * 
     */
    public ECReaderStat createECReaderStat() {
        return new ECReaderStat();
    }

    /**
     * Create an instance of {@link StatProfileNames }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.ECReportSpecExtension.StatProfileNames createECReportSpecExtensionStatProfileNames() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.ECReportSpecExtension.StatProfileNames();
    }

    /**
     * Create an instance of {@link ECTagTimestampStat }
     * 
     */
    public ECTagTimestampStat createECTagTimestampStat() {
        return new ECTagTimestampStat();
    }

    /**
     * Create an instance of {@link ECReportOutputFieldSpec }
     * 
     */
    public ECReportOutputFieldSpec createECReportOutputFieldSpec() {
        return new ECReportOutputFieldSpec();
    }

    /**
     * Create an instance of {@link ECReportSpec }
     * 
     */
    public ECReportSpec createECReportSpec() {
        return new ECReportSpec();
    }

    /**
     * Create an instance of {@link ECBoundarySpecExtension2 }
     * 
     */
    public ECBoundarySpecExtension2 createECBoundarySpecExtension2() {
        return new ECBoundarySpecExtension2();
    }

    /**
     * Create an instance of {@link ECSpecExtension }
     * 
     */
    public ECSpecExtension createECSpecExtension() {
        return new ECSpecExtension();
    }

    /**
     * Create an instance of {@link ExcludePatterns }
     * 
     */
    public ExcludePatterns createECFilterSpecExcludePatterns() {
        return new ExcludePatterns();
    }

    /**
     * Create an instance of {@link StatBlocks }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.ECTagStat.StatBlocks createECTagStatStatBlocks() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.ECTagStat.StatBlocks();
    }

    /**
     * Create an instance of {@link StartTriggerList }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.ECBoundarySpecExtension.StartTriggerList createECBoundarySpecExtensionStartTriggerList() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.ECBoundarySpecExtension.StartTriggerList();
    }

    /**
     * Create an instance of {@link ECReportMemberFieldExtension }
     * 
     */
    public ECReportMemberFieldExtension createECReportMemberFieldExtension() {
        return new ECReportMemberFieldExtension();
    }

    /**
     * Create an instance of {@link ECGroupSpecExtension }
     * 
     */
    public ECGroupSpecExtension createECGroupSpecExtension() {
        return new ECGroupSpecExtension();
    }

    /**
     * Create an instance of {@link ECReportMemberField }
     * 
     */
    public ECReportMemberField createECReportMemberField() {
        return new ECReportMemberField();
    }

    /**
     * Create an instance of {@link ECFilterSpecExtension2 }
     * 
     */
    public ECFilterSpecExtension2 createECFilterSpecExtension2() {
        return new ECFilterSpecExtension2();
    }

    /**
     * Create an instance of {@link ECGroupSpec }
     * 
     */
    public ECGroupSpec createECGroupSpec() {
        return new ECGroupSpec();
    }

    /**
     * Create an instance of {@link ECFieldSpec }
     * 
     */
    public ECFieldSpec createECFieldSpec() {
        return new ECFieldSpec();
    }

    /**
     * Create an instance of {@link ECSpec }
     * 
     */
    public ECSpec createECSpec() {
        return new ECSpec();
    }

    /**
     * Create an instance of {@link ECTagStat }
     * 
     */
    public ECTagStat createECTagStat() {
        return new ECTagStat();
    }

    /**
     * Create an instance of {@link FilterList }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.ECFilterSpecExtension.FilterList createECFilterSpecExtensionFilterList() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.ECFilterSpecExtension.FilterList();
    }

    /**
     * Create an instance of {@link ECReportGroupCount }
     * 
     */
    public ECReportGroupCount createECReportGroupCount() {
        return new ECReportGroupCount();
    }

    /**
     * Create an instance of {@link ECTime }
     * 
     */
    public ECTime createECTime() {
        return new ECTime();
    }

    /**
     * Create an instance of {@link ECReportSpecExtension2 }
     * 
     */
    public ECReportSpecExtension2 createECReportSpecExtension2() {
        return new ECReportSpecExtension2();
    }

    /**
     * Create an instance of {@link ECReportGroupListMember }
     * 
     */
    public ECReportGroupListMember createECReportGroupListMember() {
        return new ECReportGroupListMember();
    }

    /**
     * Create an instance of {@link ECReportGroup }
     * 
     */
    public ECReportGroup createECReportGroup() {
        return new ECReportGroup();
    }

    /**
     * Create an instance of {@link PrimaryKeyFields }
     * 
     */
    public PrimaryKeyFields createECSpecExtensionPrimaryKeyFields() {
        return new PrimaryKeyFields();
    }

    /**
     * Create an instance of {@link ECReportOutputFieldSpecExtension }
     * 
     */
    public ECReportOutputFieldSpecExtension createECReportOutputFieldSpecExtension() {
        return new ECReportOutputFieldSpecExtension();
    }

    /**
     * Create an instance of {@link IncludePatterns }
     * 
     */
    public IncludePatterns createECFilterSpecIncludePatterns() {
        return new IncludePatterns();
    }

    /**
     * Create an instance of {@link ECSpecExtension2 }
     * 
     */
    public ECSpecExtension2 createECSpecExtension2() {
        return new ECSpecExtension2();
    }

    /**
     * Create an instance of {@link ECReportOutputSpecExtension2 }
     * 
     */
    public ECReportOutputSpecExtension2 createECReportOutputSpecExtension2() {
        return new ECReportOutputSpecExtension2();
    }

    /**
     * Create an instance of {@link ECFilterSpecExtension }
     * 
     */
    public ECFilterSpecExtension createECFilterSpecExtension() {
        return new ECFilterSpecExtension();
    }

    /**
     * Create an instance of {@link ECFieldSpecExtension }
     * 
     */
    public ECFieldSpecExtension createECFieldSpecExtension() {
        return new ECFieldSpecExtension();
    }

    /**
     * Create an instance of {@link Reports }
     * 
     */
    public Reports createECReportsReports() {
        return new Reports();
    }

    /**
     * Create an instance of {@link ECReport }
     * 
     */
    public ECReport createECReport() {
        return new ECReport();
    }

    /**
     * Create an instance of {@link ECSightingStat }
     * 
     */
    public ECSightingStat createECSightingStat() {
        return new ECSightingStat();
    }

    /**
     * Create an instance of {@link StopTriggerList }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.ECBoundarySpecExtension.StopTriggerList createECBoundarySpecExtensionStopTriggerList() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.ECBoundarySpecExtension.StopTriggerList();
    }

    /**
     * Create an instance of {@link LogicalReaders }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.ECSpec.LogicalReaders createECSpecLogicalReaders() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.ECSpec.LogicalReaders();
    }

    /**
     * Create an instance of {@link ECReportSetSpec }
     * 
     */
    public ECReportSetSpec createECReportSetSpec() {
        return new ECReportSetSpec();
    }

    /**
     * Create an instance of {@link ECReportOutputSpec }
     * 
     */
    public ECReportOutputSpec createECReportOutputSpec() {
        return new ECReportOutputSpec();
    }

    /**
     * Create an instance of {@link ECReportGroupExtension }
     * 
     */
    public ECReportGroupExtension createECReportGroupExtension() {
        return new ECReportGroupExtension();
    }

    /**
     * Create an instance of {@link ECReportGroupListExtension }
     * 
     */
    public ECReportGroupListExtension createECReportGroupListExtension() {
        return new ECReportGroupListExtension();
    }

    /**
     * Create an instance of {@link ECReportGroupCountExtension }
     * 
     */
    public ECReportGroupCountExtension createECReportGroupCountExtension() {
        return new ECReportGroupCountExtension();
    }

    /**
     * Create an instance of {@link ECFilterListMember }
     * 
     */
    public ECFilterListMember createECFilterListMember() {
        return new ECFilterListMember();
    }

    /**
     * Create an instance of {@link ECFilterListMemberExtension }
     * 
     */
    public ECFilterListMemberExtension createECFilterListMemberExtension() {
        return new ECFilterListMemberExtension();
    }

    /**
     * Create an instance of {@link ECReportGroupListMemberExtension }
     * 
     */
    public ECReportGroupListMemberExtension createECReportGroupListMemberExtension() {
        return new ECReportGroupListMemberExtension();
    }

    /**
     * Create an instance of {@link ECReportsExtension }
     * 
     */
    public ECReportsExtension createECReportsExtension() {
        return new ECReportsExtension();
    }

    /**
     * Create an instance of {@link org.fosstrak.ale.xsd.ale.epcglobal.ECReportOutputSpecExtension.FieldList }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.ECReportOutputSpecExtension.FieldList createECReportOutputSpecExtensionFieldList() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.ECReportOutputSpecExtension.FieldList();
    }

    /**
     * Create an instance of {@link ECBoundarySpec }
     * 
     */
    public ECBoundarySpec createECBoundarySpec() {
        return new ECBoundarySpec();
    }

    /**
     * Create an instance of {@link ECGroupSpecExtension2 }
     * 
     */
    public ECGroupSpecExtension2 createECGroupSpecExtension2() {
        return new ECGroupSpecExtension2();
    }

    /**
     * Create an instance of {@link ECReports }
     * 
     */
    public ECReports createECReports() {
        return new ECReports();
    }

    /**
     * Create an instance of {@link ECReportExtension }
     * 
     */
    public ECReportExtension createECReportExtension() {
        return new ECReportExtension();
    }

    /**
     * Create an instance of {@link ECReportGroupList }
     * 
     */
    public ECReportGroupList createECReportGroupList() {
        return new ECReportGroupList();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ECSpec }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:epcglobal:ale:xsd:1", name = "ECSpec")
    public JAXBElement<ECSpec> createECSpec(ECSpec value) {
        return new JAXBElement<ECSpec>(_ECSpec_QNAME, ECSpec.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ECReports }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:epcglobal:ale:xsd:1", name = "ECReports")
    public JAXBElement<ECReports> createECReports(ECReports value) {
        return new JAXBElement<ECReports>(_ECReports_QNAME, ECReports.class, null, value);
    }

    /**
     * Create an instance of {@link ACPermission }
     * 
     */
    public ACPermission createACPermission() {
        return new ACPermission();
    }

    /**
     * Create an instance of {@link ACPermissionExtension }
     * 
     */
    public ACPermissionExtension createACPermissionExtension() {
        return new ACPermissionExtension();
    }

    /**
     * Create an instance of {@link RoleNames }
     * 
     */
    public RoleNames createACClientIdentityRoleNames() {
        return new RoleNames();
    }

    /**
     * Create an instance of {@link ACRole }
     * 
     */
    public ACRole createACRole() {
        return new ACRole();
    }

    /**
     * Create an instance of {@link ACClientCredential }
     * 
     */
    public ACClientCredential createACClientCredential() {
        return new ACClientCredential();
    }

    /**
     * Create an instance of {@link ACClientIdentity }
     * 
     */
    public ACClientIdentity createACClientIdentity() {
        return new ACClientIdentity();
    }

    /**
     * Create an instance of {@link ACClientCredentialExtension }
     * 
     */
    public ACClientCredentialExtension createACClientCredentialExtension() {
        return new ACClientCredentialExtension();
    }

    /**
     * Create an instance of {@link Credentials }
     * 
     */
    public Credentials createACClientIdentityCredentials() {
        return new Credentials();
    }

    /**
     * Create an instance of {@link Instances }
     * 
     */
    public Instances createACPermissionInstances() {
        return new Instances();
    }

    /**
     * Create an instance of {@link ACClientIdentityExtension }
     * 
     */
    public ACClientIdentityExtension createACClientIdentityExtension() {
        return new ACClientIdentityExtension();
    }

    /**
     * Create an instance of {@link ACRoleExtension }
     * 
     */
    public ACRoleExtension createACRoleExtension() {
        return new ACRoleExtension();
    }

    /**
     * Create an instance of {@link PermissionNames }
     * 
     */
    public PermissionNames createACRolePermissionNames() {
        return new PermissionNames();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ACPermission }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:epcglobal:ale:xsd:1", name = "ACPermission")
    public JAXBElement<ACPermission> createACPermission(ACPermission value) {
        return new JAXBElement<ACPermission>(_ACPermission_QNAME, ACPermission.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ACClientIdentity }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:epcglobal:ale:xsd:1", name = "ACClientIdentity")
    public JAXBElement<ACClientIdentity> createACClientIdentity(ACClientIdentity value) {
        return new JAXBElement<ACClientIdentity>(_ACClientIdentity_QNAME, ACClientIdentity.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ACRole }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:epcglobal:ale:xsd:1", name = "ACRole")
    public JAXBElement<ACRole> createACRole(ACRole value) {
        return new JAXBElement<ACRole>(_ACRole_QNAME, ACRole.class, null, value);
    }

    /**
     * Create an instance of {@link StopTriggerList }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.CCBoundarySpec.StopTriggerList createCCBoundarySpecStopTriggerList() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.CCBoundarySpec.StopTriggerList();
    }

    /**
     * Create an instance of {@link EPCCacheSpecExtension }
     * 
     */
    public EPCCacheSpecExtension createEPCCacheSpecExtension() {
        return new EPCCacheSpecExtension();
    }

    /**
     * Create an instance of {@link org.fosstrak.ale.xsd.ale.epcglobal.AssocTableEntryList.Entries }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.AssocTableEntryList.Entries createAssocTableEntryListEntries() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.AssocTableEntryList.Entries();
    }

    /**
     * Create an instance of {@link CCSpecExtension }
     * 
     */
    public CCSpecExtension createCCSpecExtension() {
        return new CCSpecExtension();
    }

    /**
     * Create an instance of {@link CCOpSpecExtension }
     * 
     */
    public CCOpSpecExtension createCCOpSpecExtension() {
        return new CCOpSpecExtension();
    }

    /**
     * Create an instance of {@link Patterns }
     * 
     */
    public Patterns createEPCPatternListPatterns() {
        return new Patterns();
    }

    /**
     * Create an instance of {@link PatList }
     * 
     */
    public PatList createECFilterListMemberPatList() {
        return new PatList();
    }

    /**
     * Create an instance of {@link org.fosstrak.ale.xsd.ale.epcglobal.CCParameterList.Entries }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.CCParameterList.Entries createCCParameterListEntries() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.CCParameterList.Entries();
    }

    /**
     * Create an instance of {@link TagReports }
     * 
     */
    public TagReports createCCCmdReportTagReports() {
        return new TagReports();
    }

    /**
     * Create an instance of {@link CCTagReportExtension }
     * 
     */
    public CCTagReportExtension createCCTagReportExtension() {
        return new CCTagReportExtension();
    }

    /**
     * Create an instance of {@link OpSpecs }
     * 
     */
    public OpSpecs createCCCmdSpecOpSpecs() {
        return new OpSpecs();
    }

    /**
     * Create an instance of {@link CCCmdReport }
     * 
     */
    public CCCmdReport createCCCmdReport() {
        return new CCCmdReport();
    }

    /**
     * Create an instance of {@link StatBlocks }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.CCTagStat.StatBlocks createCCTagStatStatBlocks() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.CCTagStat.StatBlocks();
    }

    /**
     * Create an instance of {@link Stats }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.CCTagReport.Stats createCCTagReportStats() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.CCTagReport.Stats();
    }

    /**
     * Create an instance of {@link AssocTableSpec }
     * 
     */
    public AssocTableSpec createAssocTableSpec() {
        return new AssocTableSpec();
    }

    /**
     * Create an instance of {@link AssocTableSpecExtension }
     * 
     */
    public AssocTableSpecExtension createAssocTableSpecExtension() {
        return new AssocTableSpecExtension();
    }

    /**
     * Create an instance of {@link CCOpDataSpecExtension }
     * 
     */
    public CCOpDataSpecExtension createCCOpDataSpecExtension() {
        return new CCOpDataSpecExtension();
    }

    /**
     * Create an instance of {@link AssocTableEntry }
     * 
     */
    public AssocTableEntry createAssocTableEntry() {
        return new AssocTableEntry();
    }

    /**
     * Create an instance of {@link LogicalReaders }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.CCSpec.LogicalReaders createCCSpecLogicalReaders() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.CCSpec.LogicalReaders();
    }


    /**
     * Create an instance of {@link CCReportsExtension }
     * 
     */
    public CCReportsExtension createCCReportsExtension() {
        return new CCReportsExtension();
    }

    /**
     * Create an instance of {@link RNGSpec }
     * 
     */
    public RNGSpec createRNGSpec() {
        return new RNGSpec();
    }

    /**
     * Create an instance of {@link RNGSpecExtension }
     * 
     */
    public RNGSpecExtension createRNGSpecExtension() {
        return new RNGSpecExtension();
    }

    /**
     * Create an instance of {@link FilterList }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.CCFilterSpec.FilterList createCCFilterSpecFilterList() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.CCFilterSpec.FilterList();
    }

    /**
     * Create an instance of {@link CCOpSpec }
     * 
     */
    public CCOpSpec createCCOpSpec() {
        return new CCOpSpec();
    }

    /**
     * Create an instance of {@link CCSpec }
     * 
     */
    public CCSpec createCCSpec() {
        return new CCSpec();
    }

    /**
     * Create an instance of {@link AssocTableEntryList }
     * 
     */
    public AssocTableEntryList createAssocTableEntryList() {
        return new AssocTableEntryList();
    }

    /**
     * Create an instance of {@link CCCmdSpec }
     * 
     */
    public CCCmdSpec createCCCmdSpec() {
        return new CCCmdSpec();
    }

    /**
     * Create an instance of {@link EPCPatternList }
     * 
     */
    public EPCPatternList createEPCPatternList() {
        return new EPCPatternList();
    }

    /**
     * Create an instance of {@link CCTagStat }
     * 
     */
    public CCTagStat createCCTagStat() {
        return new CCTagStat();
    }

    /**
     * Create an instance of {@link CCCmdReportExtension }
     * 
     */
    public CCCmdReportExtension createCCCmdReportExtension() {
        return new CCCmdReportExtension();
    }

    /**
     * Create an instance of {@link CCReports }
     * 
     */
    public CCReports createCCReports() {
        return new CCReports();
    }

    /**
     * Create an instance of {@link CCParameterListEntry }
     * 
     */
    public CCParameterListEntry createCCParameterListEntry() {
        return new CCParameterListEntry();
    }

    /**
     * Create an instance of {@link CCFilterSpecExtension }
     * 
     */
    public CCFilterSpecExtension createCCFilterSpecExtension() {
        return new CCFilterSpecExtension();
    }

    /**
     * Create an instance of {@link OpReports }
     * 
     */
    public OpReports createCCTagReportOpReports() {
        return new OpReports();
    }

    /**
     * Create an instance of {@link CCBoundarySpecExtension }
     * 
     */
    public CCBoundarySpecExtension createCCBoundarySpecExtension() {
        return new CCBoundarySpecExtension();
    }

    /**
     * Create an instance of {@link CmdSpecs }
     * 
     */
    public CmdSpecs createCCSpecCmdSpecs() {
        return new CmdSpecs();
    }

    /**
     * Create an instance of {@link CCOpDataSpec }
     * 
     */
    public CCOpDataSpec createCCOpDataSpec() {
        return new CCOpDataSpec();
    }

    /**
     * Create an instance of {@link StatProfileNames }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.CCCmdSpec.StatProfileNames createCCCmdSpecStatProfileNames() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.CCCmdSpec.StatProfileNames();
    }

    /**
     * Create an instance of {@link CCTagReport }
     * 
     */
    public CCTagReport createCCTagReport() {
        return new CCTagReport();
    }

    /**
     * Create an instance of {@link EPCCacheSpec }
     * 
     */
    public EPCCacheSpec createEPCCacheSpec() {
        return new EPCCacheSpec();
    }

    /**
     * Create an instance of {@link CCOpReport }
     * 
     */
    public CCOpReport createCCOpReport() {
        return new CCOpReport();
    }

    /**
     * Create an instance of {@link CCOpReportExtension }
     * 
     */
    public CCOpReportExtension createCCOpReportExtension() {
        return new CCOpReportExtension();
    }

    /**
     * Create an instance of {@link CCCmdSpecExtension }
     * 
     */
    public CCCmdSpecExtension createCCCmdSpecExtension() {
        return new CCCmdSpecExtension();
    }

    /**
     * Create an instance of {@link CCFilterSpec }
     * 
     */
    public CCFilterSpec createCCFilterSpec() {
        return new CCFilterSpec();
    }

    /**
     * Create an instance of {@link CmdReports }
     * 
     */
    public CmdReports createCCReportsCmdReports() {
        return new CmdReports();
    }

    /**
     * Create an instance of {@link CCBoundarySpec }
     * 
     */
    public CCBoundarySpec createCCBoundarySpec() {
        return new CCBoundarySpec();
    }

    /**
     * Create an instance of {@link StartTriggerList }
     * 
     */
    public org.fosstrak.ale.xsd.ale.epcglobal.CCBoundarySpec.StartTriggerList createCCBoundarySpecStartTriggerList() {
        return new org.fosstrak.ale.xsd.ale.epcglobal.CCBoundarySpec.StartTriggerList();
    }

    /**
     * Create an instance of {@link CCParameterList }
     * 
     */
    public CCParameterList createCCParameterList() {
        return new CCParameterList();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AssocTableEntryList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:epcglobal:ale:xsd:1", name = "AssocTableEntryList")
    public JAXBElement<AssocTableEntryList> createAssocTableEntryList(AssocTableEntryList value) {
        return new JAXBElement<AssocTableEntryList>(_AssocTableEntryList_QNAME, AssocTableEntryList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AssocTableSpec }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:epcglobal:ale:xsd:1", name = "AssocTableSpec")
    public JAXBElement<AssocTableSpec> createAssocTableSpec(AssocTableSpec value) {
        return new JAXBElement<AssocTableSpec>(_AssocTableSpec_QNAME, AssocTableSpec.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RNGSpec }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:epcglobal:ale:xsd:1", name = "RNGSpec")
    public JAXBElement<RNGSpec> createRNGSpec(RNGSpec value) {
        return new JAXBElement<RNGSpec>(_RNGSpec_QNAME, RNGSpec.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EPCPatternList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:epcglobal:ale:xsd:1", name = "EPCPatternList")
    public JAXBElement<EPCPatternList> createEPCPatternList(EPCPatternList value) {
        return new JAXBElement<EPCPatternList>(_EPCPatternList_QNAME, EPCPatternList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CCReports }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:epcglobal:ale:xsd:1", name = "CCReports")
    public JAXBElement<CCReports> createCCReports(CCReports value) {
        return new JAXBElement<CCReports>(_CCReports_QNAME, CCReports.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CCSpec }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:epcglobal:ale:xsd:1", name = "CCSpec")
    public JAXBElement<CCSpec> createCCSpec(CCSpec value) {
        return new JAXBElement<CCSpec>(_CCSpec_QNAME, CCSpec.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EPCCacheSpec }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:epcglobal:ale:xsd:1", name = "EPCCacheSpec")
    public JAXBElement<EPCCacheSpec> createEPCCacheSpec(EPCCacheSpec value) {
        return new JAXBElement<EPCCacheSpec>(_EPCCacheSpec_QNAME, EPCCacheSpec.class, null, value);
    }

    /**
     * Create an instance of {@link Readers }
     * 
     */
    public Readers createLRSpecReaders() {
        return new Readers();
    }

    /**
     * Create an instance of {@link LRSpec }
     * 
     */
    public LRSpec createLRSpec() {
        return new LRSpec();
    }

    /**
     * Create an instance of {@link LRProperty }
     * 
     */
    public LRProperty createLRProperty() {
        return new LRProperty();
    }

    /**
     * Create an instance of {@link Properties }
     * 
     */
    public Properties createLRSpecProperties() {
        return new Properties();
    }

    /**
     * Create an instance of {@link LRSpecExtension }
     * 
     */
    public LRSpecExtension createLRSpecExtension() {
        return new LRSpecExtension();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LRProperty }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:epcglobal:ale:xsd:1", name = "LRProperty")
    public JAXBElement<LRProperty> createLRProperty(LRProperty value) {
        return new JAXBElement<LRProperty>(_LRProperty_QNAME, LRProperty.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LRSpec }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:epcglobal:ale:xsd:1", name = "LRSpec")
    public JAXBElement<LRSpec> createLRSpec(LRSpec value) {
        return new JAXBElement<LRSpec>(_LRSpec_QNAME, LRSpec.class, null, value);
    }

    /**
     * Create an instance of {@link TMFixedFieldSpec }
     * 
     */
    public TMFixedFieldSpec createTMFixedFieldSpec() {
        return new TMFixedFieldSpec();
    }

    /**
     * Create an instance of {@link TMSpecExtension }
     * 
     */
    public TMSpecExtension createTMSpecExtension() {
        return new TMSpecExtension();
    }

    /**
     * Create an instance of {@link TMVariableFieldListSpecExtension }
     * 
     */
    public TMVariableFieldListSpecExtension createTMVariableFieldListSpecExtension() {
        return new TMVariableFieldListSpecExtension();
    }

    /**
     * Create an instance of {@link TMFixedFieldListSpecExtension }
     * 
     */
    public TMFixedFieldListSpecExtension createTMFixedFieldListSpecExtension() {
        return new TMFixedFieldListSpecExtension();
    }

    /**
     * Create an instance of {@link TMFixedFieldSpecExtension }
     * 
     */
    public TMFixedFieldSpecExtension createTMFixedFieldSpecExtension() {
        return new TMFixedFieldSpecExtension();
    }

    /**
     * Create an instance of {@link VariableFields }
     * 
     */
    public VariableFields createTMVariableFieldListSpecVariableFields() {
        return new VariableFields();
    }

    /**
     * Create an instance of {@link TMVariableFieldSpec }
     * 
     */
    public TMVariableFieldSpec createTMVariableFieldSpec() {
        return new TMVariableFieldSpec();
    }

    /**
     * Create an instance of {@link TMVariableFieldSpecExtension }
     * 
     */
    public TMVariableFieldSpecExtension createTMVariableFieldSpecExtension() {
        return new TMVariableFieldSpecExtension();
    }

    /**
     * Create an instance of {@link TMVariableFieldListSpec }
     * 
     */
    public TMVariableFieldListSpec createTMVariableFieldListSpec() {
        return new TMVariableFieldListSpec();
    }

    /**
     * Create an instance of {@link FixedFields }
     * 
     */
    public FixedFields createTMFixedFieldListSpecFixedFields() {
        return new FixedFields();
    }

    /**
     * Create an instance of {@link TMFixedFieldListSpec }
     * 
     */
    public TMFixedFieldListSpec createTMFixedFieldListSpec() {
        return new TMFixedFieldListSpec();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TMSpec }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:epcglobal:ale:xsd:1", name = "TMSpec")
    public JAXBElement<TMSpec> createTMSpec(TMSpec value) {
        return new JAXBElement<TMSpec>(_TMSpec_QNAME, TMSpec.class, null, value);
    }
}
